#include "Minus.h"


Minus::Minus(Expression *left, Expression *right)
    : BinaryOperator(left, right)
{
}


Minus::~Minus(void)
{
}

int Minus::interpret(std::map<std::string,Expression*> &variables)
{
    return m_leftOperand->interpret(variables) - m_rightOperand->interpret(variables);
}